# $Revision: 1.80 $, $Date: 2011/11/02 21:30:43 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Log
Summary:	%{_pearname} - PHP PEAR logging utilities
Summary(pl.UTF-8):	%{_pearname} - klasa z narzędziami logującymi
Name:		php-pear-%{_pearname}
Version:	1.12.7
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8594a3d89eac997f072fa088b1eddc42
URL:		http://pear.php.net/package/Log/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Suggests:	php-pear-DB
Suggests:	php-pear-MDB2
Suggests:	php-pear-Mail
Suggests:	php-sqlite
Obsoletes:	php-pear-Log-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(DB.*) pear(MDB2.*) pear(Mail.*)

%description
The Log framework provides an abstracted logging system. It supports
logging to console, file, syslog, SQL, mail and mcal targets. It also
provides a subject - observer mechanism.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa Log daje abstrakcyjny system logowania. Obsługuje logowanie do
pliku, na konsolę, do sysloga, bazy SQL, pocztą oraz celów mcal.
Dostarcza także mechanizm subject - observer.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_pearname}
%{php_pear_dir}/*.php
%{php_pear_dir}/Log/*.php
%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Log.spec,v $
Revision 1.80  2011/11/02 21:30:43  glen
- updated to: 1.12.7

Revision 1.79  2011/07/31 19:08:46  glen
- updated to: 1.12.6

Revision 1.78  2011/01/23 11:07:43  glen
- updated to: 1.12.5

Revision 1.77  2011/01/23 00:40:19  sparky
- dropped -tests

Revision 1.76  2010/10/09 16:49:09  glen
- updated to: 1.12.3

Revision 1.75  2010/08/31 07:39:47  glen
- updated to: 1.12.2

Revision 1.74  2010/08/21 19:08:04  glen
- updated deps with pearize.sh
- release 2

Revision 1.73  2010/08/20 13:00:33  glen
- updated to: 1.12.1

Revision 1.72  2010/01/04 15:18:59  adamg
- updated to 1.11.6

Revision 1.71  2009/05/03 09:09:37  adamg
- updated to 1.11.4

Revision 1.70  2008/12/26 01:49:16  adamg
- updated to 1.11.3

Revision 1.69  2008/09/07 14:21:29  adamg
- updated to 1.11.2

Revision 1.68  2008/08/06 21:49:00  adamg
- updated to 1.11.1

Revision 1.67  2008/06/15 06:54:56  adamg
- updated to 1.11.0 (License change)

Revision 1.66  2008-01-31 12:16:08  glen
- rel 2

Revision 1.65  2007-12-22 23:26:24  adamg
- updated to 1.9.13

Revision 1.64  2007/06/30 21:07:24  arekm
- up to 1.9.11

Revision 1.63  2007/02/28 01:47:19  glen
- 1.9.10

Revision 1.62  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.61  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.60  2006/11/02 12:55:11  glen
- 1.9.9

Revision 1.59  2006/08/06 11:53:09  adamg
- updated to 1.9.8

Revision 1.58  2006/07/09 08:46:53  adamg
- updated to 1.9.7

Revision 1.57  2006/06/03 21:48:05  glen
- 1.9.6

Revision 1.56  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.55  2006/05/19 19:06:54  glen
- 1.9.5

Revision 1.54  2006/04/30 06:25:07  adamg
- updated to 1.9.4

Revision 1.53  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.52  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.51  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.50  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.49  2005/12/08 17:03:26  glen
- 1.9.3

Revision 1.48  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.47  2005/10/26 11:54:30  glen
- 1.9.2

Revision 1.46  2005/10/15 14:39:42  glen
- updated to 1.9.0

Revision 1.45  2005/10/05 18:31:31  glen
- rel 2

Revision 1.44  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.43  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.42  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.41  2005/09/21 07:52:12  glen
- new pear build

Revision 1.40  2004/12/21 07:35:02  adamg
- updated to 1.8.7

Revision 1.39  2004/12/03 22:22:53  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.38  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.37  2004/10/30 07:07:26  paladine
- unifications

Revision 1.36  2004/09/10 21:07:16  adamg
- updated to 1.8.6

Revision 1.35  2004/08/11 19:24:11  adamg
- updated to 1.8.5

Revision 1.34  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.33  2004/02/17 21:13:04  adamg
- updated to 1.8.4

Revision 1.32  2004/01/08 15:23:47  adamg
- updated to 1.8.3

Revision 1.31  2004/01/03 12:42:13  adamg
- updated to 1.8.2

Revision 1.30  2003/12/16 21:01:13  adamg
- updated to 1.8.1

Revision 1.29  2003/11/22 20:46:03  adamg
- updated to 1.8.0; added %%doc

Revision 1.28  2003/10/07 20:55:14  adamg
- do not use macros in URL

Revision 1.27  2003/09/21 08:33:11  adamg
- updated to 1.7.1

Revision 1.26  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.25  2003/08/03 09:39:08  adamg
- updated to 1.7.0

Revision 1.24  2003/06/17 04:45:17  adamg
- updated to 1.6.7

Revision 1.23  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.22  2003/06/05 09:19:43  adamg
- updated to 1.6.6

Revision 1.21  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.20  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.19  2003/05/28 08:58:40  adamg
- massive attack: added source0-md5

Revision 1.18  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/20 10:03:37  blues
- 1.6.0 - small feature enchance

Revision 1.16  2003/01/02 15:32:24  blues
- 1.5.3 - bugfix release - STBR to Ra updates general

Revision 1.15  2002/11/08 13:56:35  blues
- 1.5 - some bugfixes - STBR

Revision 1.14  2002/10/14 23:45:03  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.13  2002/09/30 15:36:49  blues
- 1.4 - STBR

Revision 1.12  2002/09/15 22:16:39  blues
- 1.3 - STBR

Revision 1.11  2002/09/08 15:03:04  blues
- fix in macros

Revision 1.10  2002/07/27 13:19:28  blues
- 1.2
- STBR

Revision 1.9  2002/07/12 23:44:28  blues
- release 3 (rebuild with new rpm)
- fit to other classes

Revision 1.8  2002/07/04 22:28:44  blues
- release 2

Revision 1.7  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.6  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.5  2002/06/24 11:46:14  blues
- new rpm-automate (BR added)

Revision 1.4  2002/05/23 14:37:22  blues
- removed installing package in pear database.
- STBR

Revision 1.3  2002/05/22 17:01:14  blues
- small fix in prep. NFY

Revision 1.2  2002/05/20 15:26:07  blues
- changed instalation in pre/post - causes existing modules in pear
  database. Not nice but working solution... who knows better?

Revision 1.1  2002/05/20 14:26:35  blues
- pear Log class. First pear class...
